Erase points from screen and project XML

Moderator: Carlson Support

Erase points from screen and project XML

Postby Dave C. » Wed Aug 07, 2002 6:23 pm

How can I set up a menu button, so I can click on it (the button) and be
able to select points on the screen to delete from the drawing and the
coordinate file?
Dave C.
 

Re: Erase points from screen and project XML

Postby Dave C. » Thu Aug 08, 2002 6:04 pm

I tried defining a function but it doesn't seem to work. If I type "delpt"
at the command line, all is fine, but if try to define the function...

(defun c:dpp()(command (c:delpt) "s" "y"))

Command: dpp
Select points from screen or by point number [Screen/<Number>]?

How do I get the program to accept my "s" for screen? I've used similar
commands for other keys, but I can't seem to get this to work.

example: (defun c:allon()(command "layer" "thaw" "*" "" "layer" "on" "*"
""))



"Dave C." <dcc@geosurv.com> wrote in message
news:aira66$108$1@update.carlsonsw.com...
How can I set up a menu button, so I can click on it (the button) and be
able to select points on the screen to delete from the drawing and the
coordinate file?

Dave C.
 

Re: Erase points from screen and project XML

Postby Jason Bly » Thu Aug 08, 2002 7:34 pm

Isn't a semicolon (;) used for return/enter? That's what I use on custom
toolbar icons.

This is what I used on a purge toolbar button ^C^Cpurge;all;;n
I believe the ^C is the break (ESC) command.

Jason

"Dave C." <dcc@geosurv.com> wrote in message
news:aittd9$gf2$1@update.carlsonsw.com...
I tried defining a function but it doesn't seem to work. If I type
"delpt"
at the command line, all is fine, but if try to define the function...

(defun c:dpp()(command (c:delpt) "s" "y"))

Command: dpp
Select points from screen or by point number [Screen/<Number>]?

How do I get the program to accept my "s" for screen? I've used similar
commands for other keys, but I can't seem to get this to work.

example: (defun c:allon()(command "layer" "thaw" "*" "" "layer" "on" "*"
""))



"Dave C." <dcc@geosurv.com> wrote in message
news:aira66$108$1@update.carlsonsw.com...
How can I set up a menu button, so I can click on it (the button) and be
able to select points on the screen to delete from the drawing and the
coordinate file?



Jason Bly
 

Re: Erase points from screen and project XML

Postby R.K. McSwain » Thu Aug 08, 2002 10:14 pm

Dave,

Once your DPP command calls (c:delpt), then this routine takes over and control never returns to DPP. That's why the "s" and the "y" are never executed. There is no clean way to do what you want to do. Optimally, we would provide commands that accept optional arguments so you could do something like this...

(delpt (ssget) "Y")

....but for now, we do not provide such an API.

What you *can* do is use the following toolbar macro
^C^C(c:delpt);s;p;;y;

but this macro uses the "previous" selection set, therefore you must run the SELECT command immediately prior to running this macro.


--
----------------------------
Randall McSwain
Carlson Software
http://www.carlsonsw.com
http://www.cgss.com
http://www.simsystems.com
Phone: 606.564.5028, 800.989.5028
Fax: 606.564.6422, 606.564.9525
----------------------------


"Dave C." <dcc@geosurv.com> wrote in message news:aittd9$gf2$1@update.carlsonsw.com...
I tried defining a function but it doesn't seem to work. If I type "delpt"
at the command line, all is fine, but if try to define the function...

(defun c:dpp()(command (c:delpt) "s" "y"))

Command: dpp
Select points from screen or by point number [Screen/<Number>]?

How do I get the program to accept my "s" for screen? I've used similar
commands for other keys, but I can't seem to get this to work.

example: (defun c:allon()(command "layer" "thaw" "*" "" "layer" "on" "*"
""))



"Dave C." <dcc@geosurv.com> wrote in message
news:aira66$108$1@update.carlsonsw.com...
How can I set up a menu button, so I can click on it (the button) and be
able to select points on the screen to delete from the drawing and the
coordinate file?



R.K. McSwain
 

Re: Erase points from screen and project XML

Postby Dave C. » Thu Aug 08, 2002 10:15 pm

Jason,

You're right about the button assignment, but I was trying to define a
function in a "lsp" routine. Before all the "alias editor" and "quick keys"
I had set up a simple lisp routine to define functions. I've got some
examples below, but basically it was to be able to assign some frequently
used commands, and make them act like I wanted them to. One that I've
always found handy was my "pntsoff" (turns all point layers off), "pntson"
(all point layers on) and "allon" (thaw and turn on all layers.)

Here is the contents of my "TwoKey.lsp"

(defun c:dd()(command "'DDLMODES"))
(defun c:ew()(command "ERASE" "Window"))
(defun c:ex()(command "EXTEND"))
(defun c:exl()(command "EXPLODE" "Last"))
(defun c:tm0()(command "TILEMODE" "0"))
(defun c:tm1()(command "TILEMODE" "1"))
(defun c:vr()(command "view" "restore"))
(defun c:te()(command "ddedit"))
(defun c:mod()(command "_ddmodify"))
(defun c:mt()(command "mtext"))
(defun c:fc()(command "fillet"))
(defun c:rt()(command "'rtpan"))
(defun c:ff()(command "fillet" "r" "0.00" "fillet"))
(defun c:pntoff()(command "layer" "freeze" "pnt*" ""))
(defun c:pnton()(command "layer" "thaw" "pnt*" ""))
(defun c:allon()(command "layer" "thaw" "*" "" "layer" "on" "*" ""))
(defun c:alloff()(command "layer" "off" "*" ""))
(defun c:fr()(command "fillet" "r"))
(defun c:dpp()(command (c:delpt) "s" "y")) ***This is the one I can't get
to work***

A lot of these commands have been re worked in the newer software, but there
are quite a few that I still use.


Thanks for your help.
Dave C.


"Jason Bly" <jbly@marshandlegge.com> wrote in message
news:aiu2mv$i36$1@update.carlsonsw.com...
Isn't a semicolon (;) used for return/enter? That's what I use on custom
toolbar icons.

This is what I used on a purge toolbar button ^C^Cpurge;all;;n
I believe the ^C is the break (ESC) command.

Jason

"Dave C." <dcc@geosurv.com> wrote in message
news:aittd9$gf2$1@update.carlsonsw.com...
I tried defining a function but it doesn't seem to work. If I type
"delpt"
at the command line, all is fine, but if try to define the function...

(defun c:dpp()(command (c:delpt) "s" "y"))

Command: dpp
Select points from screen or by point number [Screen/<Number>]?

How do I get the program to accept my "s" for screen? I've used similar
commands for other keys, but I can't seem to get this to work.

example: (defun c:allon()(command "layer" "thaw" "*" "" "layer" "on"
"*"
""))



"Dave C." <dcc@geosurv.com> wrote in message
news:aira66$108$1@update.carlsonsw.com...
How can I set up a menu button, so I can click on it (the button) and
be
able to select points on the screen to delete from the drawing and the
coordinate file?





Dave C.
 

Re: Erase points from screen and project XML

Postby Dave C. » Thu Aug 08, 2002 11:21 pm

Randall,

Not to be a pain, but as you can tell, I'm doing some R&D today. We are on
the verge of full production mode with SurvCADD XML, and I'm just trying to
get some things set up. We have always had a single button for the
following.

Zoom to Point (zooms to the specified point number at the current zoom
scale.)
Set Point. (sets a point in screen and coordinate file)
Del Point (deletes point from screen and project, we just use erase to
remove from drawing)
List Points (biggie... list all points in the project, within the specified
window)
Move Point (Moves point on screen and in coordinate file)
Edit Point Att (Edit point attributes and update coordinate file)

I know you have most of this in the pull down menus, I'm just not a big fan
off dialogue boxes. If I can get these commands set up on buttons, we'll be
set. We use a shared "COGO" menu, and are all just missing some of the
normal toolbar commands. Also we are trying to adapt to the coordinate file
system. As you know, we have always used some flavor of Softdesk in the
past, and every project drawing was tied to the same coordinate file. It
will take some adjustment to get used to SurvCADD way.

I tried to set up a button for setting a point ^C^C(c:lp);k but once the
"lp" command is invoked it just pulls up the dialoged, and the "k" has no
effect. Is there a way to do this?

Again, thanks for all your help.
Dave Costner
GEOSURV Inc.


"R.K. McSwain" <notachance@thisdomain.org> wrote in message
news:aiuc1s$khp$1@update.carlsonsw.com...
Dave,

Once your DPP command calls (c:delpt), then this routine takes over and
control never returns to DPP. That's why the "s" and the "y" are never
executed. There is no clean way to do what you want to do. Optimally, we
would provide commands that accept optional arguments so you could do
something like this...

(delpt (ssget) "Y")

....but for now, we do not provide such an API.

What you *can* do is use the following toolbar macro
^C^C(c:delpt);s;p;;y;

but this macro uses the "previous" selection set, therefore you must run the
SELECT command immediately prior to running this macro.


--
----------------------------
Randall McSwain
Carlson Software
http://www.carlsonsw.com
http://www.cgss.com
http://www.simsystems.com
Phone: 606.564.5028, 800.989.5028
Fax: 606.564.6422, 606.564.9525
----------------------------


"Dave C." <dcc@geosurv.com> wrote in message
news:aittd9$gf2$1@update.carlsonsw.com...
I tried defining a function but it doesn't seem to work. If I type
"delpt"
at the command line, all is fine, but if try to define the function...

(defun c:dpp()(command (c:delpt) "s" "y"))

Command: dpp
Select points from screen or by point number [Screen/<Number>]?

How do I get the program to accept my "s" for screen? I've used similar
commands for other keys, but I can't seem to get this to work.

example: (defun c:allon()(command "layer" "thaw" "*" "" "layer" "on" "*"
""))



"Dave C." <dcc@geosurv.com> wrote in message
news:aira66$108$1@update.carlsonsw.com...
How can I set up a menu button, so I can click on it (the button) and be
able to select points on the screen to delete from the drawing and the
coordinate file?



Dave C.
 

Re: Erase points from screen and project XML

Postby R.K. McSwain » Fri Aug 09, 2002 12:57 am

I tried to set up a button for setting a point ^C^C(c:lp);k but once the
"lp" command is invoked it just pulls up the dialoged, and the "k" has no
effect. Is there a way to do this?


What does the 'k' option do? I don't see this in the Locate Points dialog.

Regardless, there is no way to do this. Once a lisp routine is invoked, the remaining part of the lisp, script, macro, etc. is ignored.
R.K. McSwain
 

Re: Erase points from screen and project XML

Postby Dave C. » Fri Aug 09, 2002 1:02 am

Actually, it should have been "p" "screen pick point" I got the "k" from
the CFU dialogue, screen pick point... (I'm confusing myself) I noticed
they were underlined "hot keys" and was just keeping my fingers crossed.....

Thanks,
Dave C.


"R.K. McSwain" <notachance@thisdomain.org> wrote in message
news:aiuliu$ngj$1@update.carlsonsw.com...

I tried to set up a button for setting a point ^C^C(c:lp);k but once the
"lp" command is invoked it just pulls up the dialoged, and the "k" has no
effect. Is there a way to do this?


What does the 'k' option do? I don't see this in the Locate Points dialog.

Regardless, there is no way to do this. Once a lisp routine is invoked, the
remaining part of the lisp, script, macro, etc. is ignored.
Dave C.
 


Return to Survey

Who is online

Users browsing this forum: Google [Bot]